ubiquity crashed with GError in function(): Failed to execute child process "/bin/busybox" (No such file or directory)

Bug #962585 reported by Len Ovens on 2012-03-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
livecd-rootfs (Ubuntu)
High
Colin Watson
ubiquity (Ubuntu)
High
Colin Watson

Bug Description

Not much to add, I didn't even get a window.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: ubiquity 2.10.0
ProcVersionSignature: Ubuntu 3.2.0-20.28-lowlatency-pae 3.2.12
Uname: Linux 3.2.0-20-lowlatency-pae i686
ApportVersion: 1.94.1-0ubuntu2
Architecture: i386
CasperVersion: 1.312
CrashCounter: 1
Date: Thu Mar 22 21:51:04 2012
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InstallCmdLine: noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/ubuntustudio.seed boot=casper initrd=/casper/initrd.lz quiet splash --
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu-Studio 12.04 "Precise Pangolin" - Alpha i386 (20120322)
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity gtk_ui
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/3708/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', 'gtk_ui']
SourcePackage: ubiquity
Title: ubiquity crashed with GError in function(): Failed to execute child process "/bin/busybox" (No such file or directory)
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Len Ovens (len-ovenwerks) wrote :
tags: removed: need-duplicate-check
Len Ovens (len-ovenwerks) wrote :

This is on a live DVD and I had not had time to enter a password or any other personal info. If that is the only reason this is a private page it need not remain so.

Colin Watson (cjwatson) on 2012-03-23
visibility: private → public
Changed in ubiquity (Ubuntu):
status: New → Triaged
importance: Undecided → High
Colin Watson (cjwatson) wrote :

Two bugs here. Firstly, ubiquity-frontend-gtk should depend on busybox if it's using it. Secondly, I think it's an oversight that the standard task (which contains busybox) isn't present on Ubuntu Studio images.

Changed in livecd-rootfs (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → Triaged
Changed in ubiquity (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.64

---------------
livecd-rootfs (2.64) precise; urgency=low

  * Add minimal and standard tasks to Ubuntu Studio images (LP: #962585).
 -- Colin Watson <email address hidden> Fri, 23 Mar 2012 14:21:12 +0000

Changed in livecd-rootfs (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.10.1

---------------
ubiquity (2.10.1) precise; urgency=low

  * ubiquity.misc.boot_device needs root privileges in order to talk to
    parted_server.
  * Make ubiquity-frontend-gtk depend on busybox-static | busybox for now,
    matching the 'busybox tail' workaround in ubiquity 2.9.32 (LP: #962585).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu42.
 -- Colin Watson <email address hidden> Fri, 23 Mar 2012 15:07:41 +0000

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers